package domain


type AlibabaRetailMarketingItempoolActivitySaveLimitDto struct {
    /*
        每单限购     */
    OrderLimitCnt  *int64 `json:"order_limit_cnt,omitempty" `

    /*
        每日总限购     */
    DailyTotalLimitCnt  *int64 `json:"daily_total_limit_cnt,omitempty" `

    /*
        总限购     */
    TotalLimitCnt  *int64 `json:"total_limit_cnt,omitempty" `

    /*
        每人总限购     */
    UserTotalLimitCnt  *int64 `json:"user_total_limit_cnt,omitempty" `

    /*
        每人每日总限购     */
    UserDailyLimitCnt  *int64 `json:"user_daily_limit_cnt,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivitySaveLimitDto) SetOrderLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivitySaveLimitDto {
    s.OrderLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveLimitDto) SetDailyTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivitySaveLimitDto {
    s.DailyTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveLimitDto) SetTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivitySaveLimitDto {
    s.TotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveLimitDto) SetUserTotalLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivitySaveLimitDto {
    s.UserTotalLimitCnt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivitySaveLimitDto) SetUserDailyLimitCnt(v int64) *AlibabaRetailMarketingItempoolActivitySaveLimitDto {
    s.UserDailyLimitCnt = &v
    return s
}
